Std ViewRight/ru: Difference between revisions

From FreeCAD Documentation
No edit summary
No edit summary
 
(4 intermediate revisions by the same user not shown)
Line 1: Line 1:
<languages/>
<languages/>


<div class="mw-translate-fuzzy">
{{Docnav/ru
{{Docnav/ru
|[[Std_ViewTop/ru|Std ViewTop]]
|[[Std_ViewTop/ru|Команда "Сверху"]]
|[[Std_ViewRear/ru|Std ViewRear]]
|[[Std_ViewRear/ru|Команда "Сзади"]]
|[[Std_View_Menu/ru|Std View Menu]]
|[[Std_View_Menu/ru|Меню "Вид"]]
|IconL=Std_ViewTop.svg
|IconL=Std_ViewTop.svg
|IconR=Std_ViewRear.svg
|IconR=Std_ViewRear.svg
|IconC=Freecad.svg
|IconC=Freecad.svg
}}
}}
</div>


{{GuiCommand/ru
{{GuiCommand/ru
|Name=Std ViewRight
|Name/ru=Справа
|Name/ru=Std ViewRight
|Name=Std_ViewRight
|MenuLocation=Виды → Стандартные виды → Справа
|MenuLocation=Вид → Стандартные виды‏‎ → Справа
|Workbenches=All
|Workbenches=Все
|Shortcut={{KEY|3}}
|Shortcut={{KEY|3}}
|SeeAlso=[[Std_ViewFront/ru|Std ViewFront]], [[Std_ViewTop/ru|Std ViewTop]]
|SeeAlso=[[Std_ViewFront/ru|Спереди]], [[Std_ViewTop/ru|Сверху]]
}}
}}


Line 28: Line 26:
{{Caption|Arrow 3 points in the direction of the right view}}
{{Caption|Arrow 3 points in the direction of the right view}}


==Применение==
==Использование==


# There are several ways to invoke the command:
# There are several ways to invoke the command:
Line 36: Line 34:
#* Use the keyboard shortcut: {{KEY|3}}.
#* Use the keyboard shortcut: {{KEY|3}}.


==Программирование==
==Scripting==


{{Emphasis|Смотрите так же:}} [[FreeCAD_Scripting_Basics/ru|Основы составления скриптов в FreeCAD]].
{{Emphasis|Смотрите так же:}} [[FreeCAD_Scripting_Basics/ru|Основы составления скриптов в FreeCAD]].
Line 50: Line 48:


{{Docnav/ru
{{Docnav/ru
|[[Std_ViewTop/ru|ViewTop]]
|[[Std_ViewTop/ru|Команда "Сверху"]]
|[[Std_ViewRear/ru|ViewRear]]
|[[Std_ViewRear/ru|Команда "Сзади"]]
|[[Std_View_Menu/ru|Std View Menu]]
|[[Std_View_Menu/ru|Меню "Вид"]]
|IconL=Std_ViewTop.svg
|IconL=Std_ViewTop.svg
|IconR=Std_ViewRear.svg
|IconR=Std_ViewRear.svg

Latest revision as of 19:41, 10 September 2021

Other languages:

Справа

Системное название
Std_ViewRight
Расположение в меню
Вид → Стандартные виды‏‎ → Справа
Верстаки
Все
Быстрые клавиши
3
Представлено в версии
-
См. также
Спереди, Сверху

Описание

The Std ViewRight command points the camera in the active 3D view in the direction of the negative X axis.

Arrow 3 points in the direction of the right view

Применение

  1. There are several ways to invoke the command:
    • Press the Std ViewRight button.
    • Select the View → Standard views → Right option from the menu.
    • Select the Standard views → Right option from the 3D view context menu.
    • Use the keyboard shortcut: 3.

Программирование

Смотрите так же: Основы составления скриптов в FreeCAD.

To change to right view use the viewRight method of the ActiveView object. This method is not available if FreeCAD is in console mode.

import FreeCADGui

FreeCADGui.ActiveDocument.ActiveView.viewRight()
FreeCADGui.ActiveDocument.ActiveView.getViewDirection()